'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : ADC_POT
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple AD conversion. Input voltage is selected by potentiometer P2.
'    Result of conversion is transmitted to PC.
'
'    Settings and connections on ZL15AVR:
'        P2 (con7) - PC0 (con17)
'
'
'      if RS232 cable connected:
'        RxD (con7) - PD0 (con18)
'        TxD (con7) - PD1 (con18)
'
'      if UART2USB converter (ZL1USB_A or ZL4USB) connected:
'        RxU (con7) - PD0 (con18)
'        TxU (con7) - PD1 (con18)
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$baud = 1200
$hwstack = 64
$swstack = 64
$framesize = 64

Dim W As Word

Config Adc = Single , Prescaler = Auto , Reference = Avcc


Print
Print "*************************"
Print "**   ZL16AVR ADC_POT   **"
Print "**    www.kamami.com   **"
Print "*************************"

Start Adc

Do
  W = Getadc(0)
  Print "Channel " ; " value " ; W
Loop

End