'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : CHAR LCD
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Using LCD graphic display (KS0108 compatible)
'
'    Settings and connections on ZL16AVR:
'        JP4 (DISPLAY) - 1-2 (=GRAPH)
'
'        D0 (LCD_GRAPH/con12) - PD0 (con18)
'        D1 (LCD_GRAPH/con12) - PD1 (con18)
'        D2 (LCD_GRAPH/con12) - PD2 (con18)
'        D3 (LCD_GRAPH/con12) - PD3 (con18)
'        D4 (LCD_GRAPH/con12) - PD4 (con18)
'        D5 (LCD_GRAPH/con12) - PD5 (con18)
'        D6 (LCD_GRAPH/con12) - PD6 (con18)
'        D7 (LCD_GRAPH/con12) - PD7 (con18)
'
'        RS (LCD_GRAPH/con12) - PB0 (con17)
'        RW (LCD_GRAPH/con12) - PB1 (con17)
'        E  (LCD_GRAPH/con12) - PB2 (con17)
'        CS1(LCD_GRAPH/con12) - PB3 (con17)
'        CS2(LCD_GRAPH/con12) - PB4 (con17)
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$hwstack = 64
$swstack = 64
$framesize = 64

$include "font.txt"
$lib "glcdKS108.lbx"

Config Graphlcd = 128 * 64sed , Dataport = Portd , Controlport = Portb , Ce = 4 , Ce2 = 3 , Cd = 0 , Rd = 1 , Reset = 5 , Enable = 2

Cls
Setfont Font5x8

Do
Cls
Lcdat 1 , 12 , "   K A M A M I"
Lcdat 2 , 12 , "development board"

Lcdat 4 , 12 , " -- ZL16AVR --  "
Lcdat 5 , 12 , " www.kamami.com "

Wait 2

Showpic 0 , 0 , Kamami

Wait 2

Loop
End

Kamami:
$bgf "kamami.bgf"