'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : RC5
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple infrared RC5 code receiver
'
'    Settings and connections on ZL16AVR:
'        IR (con7) - PD2 (con18)
'
'      if RS232 cable connected:
'        RxD (con7) - PD0 (con18)
'        TxD (con7) - PD1 (con18)
'
'      if UART2USB converter (ZL1USB_A or ZL4USB) connected:
'        RxU (con7) - PD0 (con18)
'        TxU (con7) - PD1 (con18)
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$baud = 1200
$hwstack = 64
$swstack = 64
$framesize = 64


Config Rc5 = PinD.2

Dim Address As Byte , Command As Byte

Enable Interrupts

Print "*************************"
Print "**     ZL16AVR IR RC5  **"
Print "**    www.kamami.com   **"
Print "*************************"


Print "Waiting for RC5..."

Do

Getrc5(address , Command)

If Address <> 255 Then

    Command = Command And &B01111111

    Print "Address: " ; Address ; " Command: " ; Command

End If

Loop



End