'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : RTC
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple I2C communication demo.
'    Read all registers from RTC (U6 - M41T00)
'    and transmit it to PC via UART.
'
'    Settings and connections on ZL16AVR:
'        SCL (U6 RTC/con7) - PB4 (con16)
'        SDA (U6 RTC/con7) - PB5 (con16)
'
'      if RS232 cable connected:
'        RxD (con7) - PD0 (con18)
'        TxD (con7) - PD1 (con18)
'
'      if UART2USB converter (ZL1USB_A or ZL4USB) connected:
'        RxU (con7) - PD0 (con18)
'        TxU (con7) - PD1 (con18)
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$baud = 1200
$hwstack = 64
$swstack = 64
$framesize = 64

Const M41t00_address_wr = &HD0
Const M41t00_address_rd = &HD1

Dim B1 As Byte , I As Byte

$lib "i2c_twi.lbx"

Config Twi = 100000

Config Scl = Portc.5
Config Sda = Portc.4

Print
Print "*************************"
Print "**     ZL16AVR  RTC    **"
Print "**    www.kamami.com   **"
Print "*************************"

Do
  I2cstart
  I2cwbyte M41t00_address_wr                                'write addres of M41T00
  I2cwbyte 0                                                'select first register
  I2cstart                                                  'repeated start
  I2cwbyte M41t00_address_rd                                'write address for reading data

  For I = 0 To 7
    If I = 7 Then                                           'read data
      I2crbyte B1 , Nack
    Else
      I2crbyte B1 , Ack
    End If

    Print "M41T00 byte " ; I ; " value (hex) " ; Hex(b1)
  Next

  I2cstop
  Print "------------------------------------------ "
  Print
  Waitms 200

Loop

End