'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : TC77
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple SPI communication demo.
'    Read temperature from temperature sensor (U7 - TC77)
'    and transmit it to PC via UART.
'
'    Settings and connections on ZL16AVR:
'        SIO (U7 TEM/con8) - PB4 (con16)
'        CS  (U7 TEM/con8) - PB2 (con16)
'        SCK (U7 TEM/con8) - PB5 (con16)
'
'      if RS232 cable connected:
'        RxD (con7) - PD0 (con18)
'        TxD (con7) - PD1 (con18)
'
'      if UART2USB converter (ZL1USB_A or ZL4USB) connected:
'        RxU (con7) - PD0 (con18)
'        TxU (con7) - PD1 (con18)
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$baud = 1200
$hwstack = 64
$swstack = 64
$framesize = 64

Dim A(2) As Byte

Config Portb = Output
Config Portd = Output

Config Spi = Hard , Interrupt = Off , Data Order = Msb , Master = Yes , Polarity = Low , Phase = 0 , Clockrate = 128

Print
Print "*************************"
Print "**     ZL15AVR  TC77   **"
Print "**    www.kamami.com   **"
Print "*************************"

Spiinit

Do
  Spiin A(1) , 2
  Print "TC77 output (hex): " ; Hex(a(1)) ; Hex(a(2))
Loop

End