'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : UART
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple UART communication demo.
'
'    Settings and connections on ZL16AVR:
'        JP4 (DISPLAY) - 2-3 (=CHAR)
'
'        D4 (LCD_CHAR/con13) - PD4 (con18)
'        D5 (LCD_CHAR/con13) - PD5 (con18)
'        D6 (LCD_CHAR/con13) - PD6 (con18)
'        D7 (LCD_CHAR/con13) - PD7 (con18)
'        E  (LCD_CHAR/con13) - PB2 (con16)
'        RS (LCD_CHAR/con13) - PB0 (con16)
'        RW (LCD_CHAR/con13) - GND (con15)
'
'      if RS232 cable connected:
'        RxD (con7) - PD0 (con18)
'        TxD (con7) - PD1 (con18)
'
'      if UART2USB converter (ZL1USB_A or ZL4USB) connected:
'        RxU (con7) - PD0 (con18)
'        TxU (con7) - PD1 (con18)
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$baud = 1200
$hwstack = 64
$swstack = 64
$framesize = 64

Dim Message As String * 16

Config Portb = Output
Config Portd = Output
Config Lcd = 16 * 2
Config Lcdpin = Pin , Db4 = Portd.4 , Db5 = Portd.5 , Db6 = Portd.6 , Db7 = Portd.7 , E = Portb.2 , Rs = Portb.0

Initlcd
Cls
Cursor Off
Lcd " ZL16AVR - UART"
Lowerline
Lcd " www.kamami.com"

Print "*************************"
Print "**     ZL16AVR  UART   **"
Print "**    www.kamami.com   **"
Print "*************************"

Do
  Input "->" , Message                                      'send prompt to terminal
  Cls
  Lcd "Rx:"
  Lowerline
  Lcd Message                                               'write received message on LCD
  Print "<-" ; Message
Loop

End